1

Topic: PunBB 1.3.6

PunBB 1.3.6 is released.

This is a critical update. We strongly recommend that you update your forum!

1.3.5 to 1.3.6 changes:

  • Fixed XSS vulnerabilities

  • Fixed error with bans in admin/bans.php and profile.php

  • Fixed invalid closing tag described in issue #32

Compare view: https://github.com/punbb/punbb/compare/1.3.5...1.3.6

Download PunBB 1.3.6: https://github.com/downloads/punbb/punb … -1.3.6.zip

2 (edited by Emme 2011-09-18 09:51)

Re: PunBB 1.3.6

Hotfix for adminpanel soon ?

3 (edited by lie2815 2011-09-18 08:55)

Re: PunBB 1.3.6

Quote from the original vulnerability report:

[Time-line]

20/08/2011 - Vendor notified
02/09/2011 - No e-mail reply and BAN on Forum
???        - Vendor patch release
16/09/2011 - Public disclosure

Please tell me this is not true!

P.S.: You should also mention that people should definitely upgrade to keep their members and other internet users secure!

FluxBB - v1.4.8

4

Re: PunBB 1.3.6

lie2815 wrote:

20/08/2011 - Vendor notified
02/09/2011 - No e-mail reply and BAN on Forum
???        - Vendor patch release
16/09/2011 - Public disclosure

Please tell me this is not true!

I have not received any emails about this vulnerability. At the forum there were no reports of this vulnerability and banned only spammers.

Re: PunBB 1.3.6

Good smile

FluxBB - v1.4.8

6 (edited by lucatony 2011-09-18 11:16)

Re: PunBB 1.3.6

Are all the extensions of 1.3.5 compatible with the update to 1.3.6 ???

7

Re: PunBB 1.3.6

Yes, all styles and extensions is compatible.

Re: PunBB 1.3.6

Thanks , but how I install this new version from 1.3.5 , like this ??

How to upgrade

    make a backup of the database and files;

    turn the Maintenance mode on (via admin panel);

    overwrite old files with new ones;

    after owerwriting, verify that the cache, img/avatars and extensions (for pun_repository) directories have enough write permissions (usually 777);

    clear cache directory;

    go to the forum index and run db_update.php script;

    turn the Maintenance mode off.

Thanks!!

9

Re: PunBB 1.3.6

Yes.

10

Re: PunBB 1.3.6

Emme wrote:

Hotfix for adminpanel soon ?

Hotfix ready.

11

Re: PunBB 1.3.6

anyone runs punbb1.3 need update asap.

12

Re: PunBB 1.3.6

http://www.xzqu8qr3.top/download/punbb-1.3.6.zip
and
https://github.com/downloads/punbb/punb … -1.3.6.zip

files have different sizes. which one is better?

13

Re: PunBB 1.3.6

Different line end in files after github -> svn transmission. Fixed, thanks.

14

Re: PunBB 1.3.6

is it safe to upgrade to 1.3.6? in currently on 1.3.5 and want to know if its worth the upgrade

15 (edited by hklown 2011-09-25 04:44)

Re: PunBB 1.3.6

md wrote:

is it safe to upgrade to 1.3.6? in currently on 1.3.5 and want to know if its worth the upgrade

You should probably read the OP at the top of the thread, where it says:

This is a critical update. We strongly recommend that you update your forum!

16 (edited by md 2011-09-25 21:09)

Re: PunBB 1.3.6

i ran the update. for some odd reason im still geting the alert that i need to up grade http://imageshack.us/photo/my-images/42 … pdate.png/

17

Re: PunBB 1.3.6

Did you run the update_db.php script?

Re: PunBB 1.3.6

my first update, I hope that update works